Loading...
Searching...
No Matches
volk_64u_byteswap.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <emmintrin.h>`
`#include <arm_neon.h>`
`#include <tmmintrin.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_64u_byteswap_a_H

## Functions

static void | volk_64u_byteswap_u_sse2 (uint64_t *intsToSwap, unsigned int num_points)
static void | volk_64u_byteswap_neon (uint64_t *intsToSwap, unsigned int num_points)
static void | volk_64u_byteswap_generic (uint64_t *intsToSwap, unsigned int num_points)
static void | volk_64u_byteswap_a_ssse3 (uint64_t *intsToSwap, unsigned int num_points)
static void | volk_64u_byteswap_a_sse2 (uint64_t *intsToSwap, unsigned int num_points)
static void | volk_64u_byteswap_u_ssse3 (uint64_t *intsToSwap, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_64u_byteswap_a_H

#define INCLUDED_volk_64u_byteswap_a_H

## Function Documentation

## volk_64u_byteswap_a_sse2()

void volk_64u_byteswap_a_sse2 | ( | uint64_t * | intsToSwap,
|  | unsigned int | num_points )

inline static

## volk_64u_byteswap_a_ssse3()

void volk_64u_byteswap_a_ssse3 | ( | uint64_t * | intsToSwap,
|  | unsigned int | num_points )

inline static

## volk_64u_byteswap_generic()

void volk_64u_byteswap_generic | ( | uint64_t * | intsToSwap,
|  | unsigned int | num_points )

inline static

## volk_64u_byteswap_neon()

void volk_64u_byteswap_neon | ( | uint64_t * | intsToSwap,
|  | unsigned int | num_points )

inline static

## volk_64u_byteswap_u_sse2()

void volk_64u_byteswap_u_sse2 | ( | uint64_t * | intsToSwap,
|  | unsigned int | num_points )

inline static

## volk_64u_byteswap_u_ssse3()

void volk_64u_byteswap_u_ssse3 | ( | uint64_t * | intsToSwap,
|  | unsigned int | num_points )

inline static